import { SdJwtPayload, SDJwtInstance } from '@sd-jwt/core';
import { DisclosureFrame } from '@sd-jwt/types';

interface SdJwtVcPayload extends SdJwtPayload {
    iss: string;
    nbf?: number;
    exp?: number;
    cnf?: unknown;
    vct: string;
    status?: unknown;
    sub?: string;
    iat?: number;
}

declare class SDJwtVcInstance extends SDJwtInstance<SdJwtVcPayload> {
    /**
     * The type of the SD-JWT-VC set in the header.typ field.
     */
    protected type: string;
    /**
     * Validates if the disclosureFrame contains any reserved fields. If so it will throw an error.
     * @param disclosureFrame
     */
    protected validateReservedFields(disclosureFrame: DisclosureFrame<SdJwtVcPayload>): void;
}

export { SDJwtVcInstance, type SdJwtVcPayload };
